javax.swing.plaf

## Class ComboBoxUI

- java.lang.Object
- - javax.swing.plaf.ComponentUI
  - - javax.swing.plaf.ComboBoxUI

Direct Known Subclasses:
  BasicComboBoxUI, MultiComboBoxUI

    public abstract class ComboBoxUI
    extends ComponentUI

Pluggable look and feel interface for JComboBox.

### Constructor Summary

Constructors
Constructor and Description
`ComboBoxUI()`

### Method Summary

Methods
`abstract boolean` `isFocusTraversable(JComboBox c)` Determine whether or not the combo box itself is traversable
`abstract boolean` `isPopupVisible(JComboBox c)` Determine the visibility of the popup
`abstract void` `setPopupVisible(JComboBox c, boolean v)` Set the visiblity of the popup

### Methods inherited from class javax.swing.plaf.ComponentUI

`contains, createUI, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize, getPreferredSize, installUI, paint, uninstallUI, update`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ComboBoxUI

    public ComboBoxUI()

### Method Detail

#### setPopupVisible

    public abstract void setPopupVisible(JComboBox c,
                       boolean v)

Set the visiblity of the popup

#### isPopupVisible

    public abstract boolean isPopupVisible(JComboBox c)

Determine the visibility of the popup

#### isFocusTraversable

    public abstract boolean isFocusTraversable(JComboBox c)

Determine whether or not the combo box itself is traversable

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.